> For the complete documentation index, see [llms.txt](https://api-old.innov8tif.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api-old.innov8tif.com/okaydoc/malaysia/my-id-card-front/version-5.md).

# Version 5(Deprecated)

## This version will no longer be maintained starting 1st August 2021.

<mark style="color:green;">`POST`</mark> `https://okaydocdemo.innov8tif.com/ekyc/api/ekyc/v5/doc-verify/mykad`

#### Request Body

| Name                   | Type   | Description                                                                                                                       |
| ---------------------- | ------ | --------------------------------------------------------------------------------------------------------------------------------- |
| caseNo                 | string | Reference code given by user                                                                                                      |
| apiKey                 | string | To be assigned by Innov8tif                                                                                                       |
| idImageBase64Image     | string | Front id card image in base64                                                                                                     |
| idNumber               | string | Id card number as shown on id card. If this value is provided, higher chance of getting higher score for font checking.           |
| otherDocList           | array  | Type can be: high quality, with flash, without flash, without specific order. At least one of the listed field above is required. |
| landmarkCheck          | string | <p>Default as Fault.<br>Set true to do landmark checking.</p>                                                                     |
| fontCheck              | string | <p>Default as Fault.<br>Set true to do font checking.</p>                                                                         |
| microprintCheck        | string | <p>Default as Fault.<br>Set true to do microprint  checking.</p>                                                                  |
| photoSubstitutionCheck | string | <p>Default as Fault.<br>Set true to do photo substitution checking.</p>                                                           |
| icTypeCheck            | string | <p>Default as Fault.<br>Set true to do ic type checking.</p>                                                                      |
| colorMode              | string | <p>Default as Fault.<br>Set true to do color checking.</p>                                                                        |
| hologram               | string | <p>Default as Fault.<br>Set true to do hologram checking.</p>                                                                     |
| edgeDetection          | string | <p>Default as Fault.<br>Set true to do edge detection</p>                                                                         |

{% tabs %}
{% tab title="200 " %}

```
{
    "status": "success",
    "messageCode": "api.success",
    "message": "",
    "id": "5f5d2f2d-ae72-456c-ab67-e1118d3b3f2f",
    "methodList": [
        {
            "method": "landmark",
            "label": "Landmark Analysis Result",
            "componentList": [
                {
                    "code": "l-mykad-header",
                    "label": "Kad Pengenalan Header",
                    "value": "76.7508",
                    "imageUrl": "/public/image/v2/5f5d2f2d-ae72-456c-ab67-e1118d3b3f2f?type=l-mykad-header",
                    "refImageUrl": null
                },
                {
                    "code": "l-mykad-logo",
                    "label": "MyKad Logo",
                    "value": "69.0792",
                    "imageUrl": "/public/image/v2/5f5d2f2d-ae72-456c-ab67-e1118d3b3f2f?type=l-mykad-logo",
                    "refImageUrl": null
                },
                {
                    "code": "l-my-flag-logo",
                    "label": "Malaysia Flag",
                    "value": "83.2025",
                    "imageUrl": "/public/image/v2/5f5d2f2d-ae72-456c-ab67-e1118d3b3f2f?type=l-my-flag-logo",
                    "refImageUrl": null
                },
                {
                    "code": "l-chip",
                    "label": "Chip",
                    "value": "54.8358",
                    "imageUrl": "/public/image/v2/5f5d2f2d-ae72-456c-ab67-e1118d3b3f2f?type=l-chip",
                    "refImageUrl": null
                },
                {
                    "code": "l-hibiscus",
                    "label": "Hibiscus",
                    "value": "57.7256",
                    "imageUrl": "/public/image/v2/5f5d2f2d-ae72-456c-ab67-e1118d3b3f2f?type=l-hibiscus",
                    "refImageUrl": null
                },
                {
                    "code": "l-msc",
                    "label": "MSC",
                    "value": "83.07050000000001",
                    "imageUrl": "/public/image/v2/5f5d2f2d-ae72-456c-ab67-e1118d3b3f2f?type=l-msc",
                    "refImageUrl": null
                }
            ]
        },
        {
            "method": "belowImageText",
            "label": "Text Below IC Face",
            "componentList": [
                {
                    "code": "belowImageText",
                    "label": "Text Below IC Face",
                    "value": " None ",
                    "imageUrl": "/public/image/v2/5f5d2f2d-ae72-456c-ab67-e1118d3b3f2f?type=belowImageText",
                    "refImageUrl": null
                }
            ]
        },
        {
            "method": "font",
            "label": "MyKad Font Checking Result",
            "componentList": [
                {
                    "code": "f-id-no",
                    "label": "ID No",
                    "value": "0.6689989566802979",
                    "imageUrl": "/public/image/v2/5f5d2f2d-ae72-456c-ab67-e1118d3b3f2f?type=f-id-no",
                    "refImageUrl": "/public/image/v2/5f5d2f2d-ae72-456c-ab67-e1118d3b3f2f?type=f-id-no-ref"
                }
            ]
        },
        {
            "method": "microprint",
            "label": "Microprint Score",
            "componentList": [
                {
                    "code": "microprint",
                    "label": "Microprint",
                    "value": "1",
                    "imageUrl": "/public/image/v2/5f5d2f2d-ae72-456c-ab67-e1118d3b3f2f?type=microprint",
                    "refImageUrl": null
                }
            ]
        },
        {
            "method": "hologram",
            "label": "Hologram",
            "componentList": [
                {
                    "code": "hologram",
                    "label": "Hologram",
                    "value": "0",
                    "imageUrl": null,
                    "refImageUrl": null
                }
            ]
        },
        {
            "method": "substitution",
            "label": "Ghost Photo Comparison",
            "componentList": [
                {
                    "code": "substitution",
                    "label": "Substitution Score",
                    "value": "71.4388",
                    "imageUrl": null,
                    "refImageUrl": null
                }
            ]
        },
        {
            "method": "docType",
            "label": "MyKad Type",
            "componentList": [
                {
                    "code": "docType",
                    "label": "IC Type",
                    "value": "New IC",
                    "imageUrl": null,
                    "refImageUrl": null
                }
            ]
        },
        {
            "method": "colorMode",
            "label": "Color Mode",
            "componentList": [
                {
                    "code": "colorMode",
                    "label": "Color",
                    "value": "Colored Image",
                    "imageUrl": null,
                    "refImageUrl": null
                }
            ]
        },
        {
            "method": "edge",
            "label": "Edge Detection",
            "componentList": [
                {
                    "code": "edge",
                    "label": "Edge Detection",
                    "value": "0",
                    "imageUrl": null,
                    "refImageUrl": null
                }
            ]
        }
    ],
    "outputImageList": [
        {
            "tag": "holoFace",
            "imageUrl": "/public/image/v2/5f5d2f2d-ae72-456c-ab67-e1118d3b3f2f?type=holoFace"
        },
        {
            "tag": "idFace",
            "imageUrl": "/public/image/v2/5f5d2f2d-ae72-456c-ab67-e1118d3b3f2f?type=idFace"
        }
    ]
}
```

{% endtab %}
{% endtabs %}

### Input Example

{% code title="JSON" %}

```
{
    "apiKey": "apiKey",
    "caseNo": "",
    "idImageBase64Image": "xxxxxxxxxxxxxxx",
    "idNumber": "",
    "otherDocList": [
        {
            "base64Image": "xxxxxxxxxxxxxxxxx",
            "type": "high_quality" 
        },
        {
            "base64Image": "xxxxxxxxxxxxxxxxx",
            "type": "without_flash" 
        },
        {
            "base64Image": "xxxxxxxxxxxxxxxx",
            "type": "with_flash" 
        }
    ],
    "photoSubstitutionCheck": true,
    "edgeDetection": true,
    "fontCheck": true,
    "hologram": true,
    "colorMode": true,
    "icTypeCheck": true,
    "landmarkCheck": true,
    "microprintCheck": true
}
```

{% endcode %}

{% file src="/files/-LtxWl4ZiB3F1RupAzaL" %}
OkayDoc MyKad Front v5.0
{% endfile %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://api-old.innov8tif.com/okaydoc/malaysia/my-id-card-front/version-5.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
